document.addEventListener("DOMContentLoaded", () => {
  const startDate = new Date("2024-01-20").getTime(); // Set your actual start date

  function updateLoveTimer() {
    const now = new Date().getTime();
    const difference = now - startDate;

    const days = Math.floor(difference / (1000 * 60 * 60 * 24));
    const hours = Math.floor(
      (difference % (1000 * 60 * 60 * 24)) / (1000 * 60 * 60),
    );
    const minutes = Math.floor((difference % (1000 * 60 * 60)) / (1000 * 60));

    document.getElementById("loveTimer").textContent =
      `${days}天 ${hours}小时 ${minutes}分钟`;
  }

  setInterval(updateLoveTimer, 1000);

  function createHeart() {
    const heart = document.createElement("div");
    heart.innerHTML = "💖";
    heart.style.position = "absolute";
    heart.style.left = Math.random() * 100 + "%";
    heart.style.top = "100%";
    heart.style.fontSize = Math.random() * 20 + 10 + "px";
    heart.style.animation = "floatUp 4s linear forwards";
    document.querySelector(".floating-hearts").appendChild(heart);

    setTimeout(() => heart.remove(), 4000);
  }

  document.getElementById("sendLove").addEventListener("click", () => {
    for (let i = 0; i < 5; i++) {
      setTimeout(createHeart, i * 200);
    }
  });

  document.getElementById("sendNote").addEventListener("click", () => {
    const note = document.getElementById("loveNote").value;
    if (note.trim()) {
      alert("你的爱意已经传达到啦! 💕");
      document.getElementById("loveNote").value = "";
    }
  });

  // Add floating hearts animation
  setInterval(createHeart, 3000);
});

const style = document.createElement("style");
style.textContent = `
  @keyframes floatUp {
    0% { transform: translateY(0) rotate(0deg); opacity: 1; }
    100% { transform: translateY(-1000%) rotate(720deg); opacity: 0; }
  }
`;
document.head.appendChild(style);
